FreeHandParserInternal::Font Struct Reference

structure of FreeHandParserInternal used to stored a font More...

## Public Member Functions

| Font ()
| constructor

## Public Attributes

MWAWFont | m_font
| the font
int | m_nameId
| the font name id
int | m_colorId
| the font color id

## Detailed Description

structure of FreeHandParserInternal used to stored a font

## Constructor & Destructor Documentation

## Font()

FreeHandParserInternal::Font::Font | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_colorId

int FreeHandParserInternal::Font::m_colorId

the font color id

Referenced by Font(), FreeHandParser::readTextboxV1(), and FreeHandParser::readTextboxV2().

## m_font

MWAWFont FreeHandParserInternal::Font::m_font

the font

Referenced by Font(), FreeHandParser::readTextboxV1(), and FreeHandParser::readTextboxV2().

## m_nameId

int FreeHandParserInternal::Font::m_nameId

the font name id

Referenced by Font(), FreeHandParser::readTextboxV1(), and FreeHandParser::readTextboxV2().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx